<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/vecinos_anexos.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
$vecinos_anexos = new Vecinos_Anexos($db);
$data = json_decode(file_get_contents("php://input"));

$vecinos_anexos->id = $data->id;

if(!isEmpty($vecinos_anexos->id)){
 
if($vecinos_anexos->update_patch($data)){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update vecinos_anexos","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update vecinos_anexos. Data is incomplete.","document"=> ""));
}
?>
